### org.jfree.layouting.layouter.style.resolver

# Class SimpleStyleRuleMatcher

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.SimpleStyleRuleMatcher`

Implemented Interfaces:
  StyleRuleMatcher

`public class SimpleStyleRuleMatcher`
`extends java.lang.Object`
`implements StyleRuleMatcher`

A stateless implementation of the style rule matching. This implementation is stateless within the current layout process.

Author:
  Thomas Morgner

  ## Constructor Summary

  `SimpleStyleRuleMatcher()`

  ## Method Summary

  `StyleRuleMatcher`

  `deriveInstance()`
    Creates an independent copy of this style rule matcher.

  `CSSStyleRule[]`

  `getMatchingRules(LayoutElement element)`

  `CSSPageRule[]`

  `getPageRule(CSSValue pageName, PseudoPage[] pseudoPages)`

  `void`

  `initialize(LayoutProcess layoutProcess)`

  `boolean`

  `isMatchingPseudoElement(LayoutElement element, String pseudo)`

## Constructor Details

### SimpleStyleRuleMatcher

    public SimpleStyleRuleMatcher()

## Method Details

### deriveInstance

    public StyleRuleMatcher deriveInstance()

> Creates an independent copy of this style rule matcher.
> Specified by:
>   deriveInstance in interface StyleRuleMatcher
> Returns:
>   this instance, as this implementation is stateless

### getMatchingRules

    public CSSStyleRule[] getMatchingRules(LayoutElement element)

> Specified by:
>   getMatchingRules in interface StyleRuleMatcher

### getPageRule

    public CSSPageRule[] getPageRule(CSSValue pageName,
                                     PseudoPage[] pseudoPages)

> Specified by:
>   getPageRule in interface StyleRuleMatcher

### initialize

    public void initialize(LayoutProcess layoutProcess)

> Specified by:
>   initialize in interface StyleRuleMatcher

### isMatchingPseudoElement

    public boolean isMatchingPseudoElement(LayoutElement element,
                                           String pseudo)

> Specified by:
>   isMatchingPseudoElement in interface StyleRuleMatcher